function Validate(e) {
    var person = new Reviewer($("#txtName").val(), $("#txtEmail").val(), $("#dtpBirthDate").val());
    var review = new Review($("#lstVideoType").val(), $("#txtMark").val());
    review.person = person;     //Dependency      //You can add properties to objects anytime

    e.preventDefault();         //Prevent submit anyway
    if (!review.person.validate()) {
        alert("You are not allowed! ");
    }
    else if (!UpgradeMark(document.getElementsByName("txtMark")[0])) {
    }
    else {
        //document.forms[0].submit();
        $.ajax({
            url: "Review.aspx",
            data: { name: review.person.name, type: review.videoType, mark: review.mark },
            error: function (xhr) {
                alert("An error occured: " + xhr.status + " " + xhr.statusText);
            },
            success: function (result) {
            },
            complete: function (xhr) {
                //Increment counter - Use the localStorage - this does not expire
                if (typeof (Storage) !== "undefined") {
                    if (localStorage.counter) {
                        localStorage.counter = Number(localStorage.counter) + 1;
                    }
                    else {
                        localStorage.counter = 1;
                    }
                    parent.document.getElementById("counter").innerHTML = localStorage.counter + " reviews on this site";
                }
            }
        });

    }
}

function UpgradeMark(object) {
    try {
        if (object.value % 2 != 0) {
            throw new Error("Odd value not possible");
        }

        //Careful at the === operator
        //if (object.value === 10) {
        //    document.getElementById("upmark").innerHTML = "Outstanding";
        //}
        switch (parseInt(object.value)) {
            case 10: {
                document.getElementById("upmark").innerHTML = "Outstanding";
                break;
            }
            case 8: {
                document.getElementById("upmark").innerHTML = "Good";
                break;
            }
            case 6: {
                document.getElementById("upmark").innerHTML = "Fair";
                break;
            }
            default: {
                document.getElementById("upmark").innerHTML = "Ouch!";
                break;
            }
        }
        return true;
    }
    catch (e) {
        alert(e.message);
        object.focus();
        return false;
    }
}

